FROM gcc as msi
WORKDIR /src
RUN wget -qO /src/msi.tar.gz https://github.com/iris-edu/msi/archive/refs/tags/v3.8.tar.gz
RUN tar xf msi.tar.gz
WORKDIR /src/msi-3.8
RUN make

FROM python:3.9-slim
COPY --from=msi /src/msi-3.8/msi /usr/local/bin/msi
COPY requirements.txt /
RUN python3 -m pip install -r requirements.txt
COPY logger.conf /app/
COPY check-overlap.py /app/
CMD python3 /app/check-overlap.py
